icewm -- history of user-visible changes.  2023-05-18

Release icewm-3.3.5 released 2023-05-18
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.4...3.3.5

Bert Gijsbers <gijsbers@science.uva.nl> (17):
      Lookup icons in more context directories for issue ice-wm/icewm#132.
      Mention the hash-bang in the startup file.
      An Escape key release event must match the key press event for #726.
      Report when icon could not be found for issue ice-wm/icewm#133.
      Use "firefox" instead of "mozilla" as Firefox icon for ice-wm/icewm#132.
      Rescale workspace buttons when taskbar is rather high.
      Temporarily hide the taskbar collapse button when collapsing or expanding.
      Test for i18n by negation.
      Compute the ultimate workspace button height, before creating them.
      Limit the resource string of an unresponsive client for issue #729.
      Check for TaskBarDoubleHeight when computing workspace button height.
      Detect idempotent RandR updates for issue #728. Only
        ArrangeWindowsOnScreenSizeChange when the desktop is really resizing.
      Also focus last window when hiding and Click-to-focus for issue #727.
      Let icesh exit with zero if the last action was a successful manager
        action.
      Reduce the subcats by 5.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Jan Papež <honyczek@centrum.cz> (1):
      Translated using Weblate (Czech)


Release icewm-3.3.4 released 2023-05-03
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.3...3.3.4

Bert Gijsbers <gijsbers@science.uva.nl> (20):
      Fix compile error for yximage.cc.
      Deprecate XRRDisable.
      Fix corrupted text if built without i18n for issue ice-wm/icewm#131.
      When internationalization is disabled, unset LIBICONV.
      Improve the quality of drawing gradients for the Imlib2 renderer.
      Improve arrow navigation in the system dialog.
      Let icesh also pick icewm internal and override redirect windows.
      Improve the quality of drawing gradients for the GdkPixbuf renderer.
      Cache workspace button backgrounds for faster redrawing.
      Guard against workspace button gradient being undefined.
      Cache toolbar button gradients to speedup drawing.  Eliminate half of the
        button drawings on startup.
      Turkish translation of .desktop files and closes #716.
      Let icesh report up to 1024 bytes of a property in "prop".
      Let configure on OpenBSD test for -liconv in EXTRA_LIBS.
      Support icesh "focusmodel" for client windows without a WM_HINTS property.
      Revert "Fix compile error for yximage.cc." 30bd4f5
      When managing a new client, postpone sending a Configure event until the
        final position is known, for issue #720.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.4 release

gijsbers <gijsbers@users.noreply.github.com> (3):
      Merge pull request #127 from bittin/patch-1
      Revert "Update icewm.desktop"
      Merge pull request #130 from ice-wm/revert-127-patch-1

Dmitriy Khanzhin <jinn@altlinux.org> (2):
      Translated using Weblate (Russian)
      Translated using Weblate (Russian)

Mehmet Akif 9oglu <madanadam@gmail.com> (2):
      Translated using Weblate (Turkish)
      Translated using Weblate (Turkish)

bittin <droidbittin@gmail.com> (2):
      Update icewm.desktop
      Swedish translation and credits (#714)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Luna  Jernberg <bittin@opensuse.org> (1):
      Translated using Weblate (Swedish)

Wallon <franckjl@hotmail.com> (1):
      Translated using Weblate (French)


Release icewm-3.3.3 released 2023-04-09
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.2...3.3.3

Bert Gijsbers <gijsbers@science.uva.nl> (36):
      Also link icewm with libintl and libiconv for FreeBSD.
      Force token evaluation as char pointer.
      Inline iterating over PATH for issue ice-wm/icewm#122.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Optimize the default newstr.
      Respond to Escape on key release, not on key press.
      Let QuickSwitch respond to Escape on key release, not on key press.
      Let Window List respond to Escape on key release, not on key press.
      Fix for drawing button text in the System Dialog.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Report when "menuprog" process crashed.
      Make the System Dialog modal to avoid confusion about what window has
        focus. Respond to Escape on key release, not on press, to prevent
        applications from receiving a stray Escape key release event.
      Remove upath from DProgram and MenuProgMenu.
      Fix the drawing of the focused button in the System Dialog for Look=flat.
      Support commands composed with || in the system dialog. Support the Prior
        and Next keys in the system dialog.
      Prevent integer overflow for very small screen dimensions.
      Adjust width of workspace buttons when screen resolution changes for #713.
      Add three more buttons to the system dialog.
      Update potfiles.
      Document the system dialog.
      Only enabled buttons are focus traversable.
      Close doesn't reload.
      Use actionClose.
      When the desktop geometry changes, rearrange the desktop icons.
      Detect when a screen dimension changes, even though the desktop geometry
        remains the same.
      Add support for Xrandr events to icewmbg for issue #713.
      Document the --verbose option of icewmbg.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.3 release

Kempelen <lion@cmsbazar.hu> (3):
      Translated using Weblate (Hungarian)
      Translated using Weblate (Hungarian)
      Translated using Weblate (Hungarian)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Kristijan Fremen Velkovski <me@krisfremen.com> (1):
      Translated using Weblate (Macedonian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Mehmet Akif 9oglu <madanadam@gmail.com> (1):
      Translated using Weblate (Turkish)

Wallon <franckjl@hotmail.com> (1):
      Translated using Weblate (French)

Yasuhiko Kamata <belphegor@belbel.or.jp> (1):
      Translated using Weblate (Japanese)

welaq <welaq@users.noreply.github.com> (1):
      Add Lithuanian translation to .desktop files (#711)


Release icewm-3.3.2 released 2023-03-13
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.1...3.3.2

Bert Gijsbers <gijsbers@science.uva.nl> (31):
      Add yimage_gdk.h.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Add "loop" and "pick" commands to icesh. Add "Fullscreen" and "AboveAll"
        layer symbols to icesh.
      Check for libiconv in configure for OpenBSD.
      Modify a copy of the WM_CLASS. Prevent messages for loop.
      Update layer from winoptions when WM_CLASS is changed.
      Don't set WM_PROTOCOLS on frames.
      Handle failure of XGetWindowAttributes more graceful in icesh.
      Faster synchronization.
      Set a timeout on synchronization. Make window picking more reliable and
        tab-aware.  Add resize handles to "bordered" when client is resizable.
      Update _NET_WM_ALLOWED_ACTIONS when changing tabs.
      Let icesh support picking window by frame or title bar.
      Add "unset" to "icewm-env" to unset environment variables by
        icewm-session.
      For for "PointerFocusDelay" when mouse crosses different frame border
        subwindows.
      Add a "loop" example.
      Check prefs and state before starting delay focus timer.
      Use "hasBorders" in layoutShape to fix "HideBordersMaximized".
      When restoring a window, automatically focus it, if nothing has focus.
        Consider ClickToFocus and StrongPointerFocus when hiding or rolling up.
      Improve the detection of overlapping windows to the focused window for
        grabbing/releasing the mouse buttons.
      Cleanup details.
      Include ClickToFocus in maybeFocus.
      Document all layer names.
      Preserve the stacking order for fullscreen windows when Alt+Tabbing for
        issue #611.  When hitting Escape while Alt+Tabbing abandon any
        selection.
      Fix unpaired parentheses in the manpages.
      Improve readability of the winoptions manpage.
      When mapping a new client, check if it overlaps the focus. When taskbar is
        collapsed, don't let it reduce the workarea.
      Improve more winoption details in the manpages.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.2 release

Gemineo <vistatec@gemineo.de> (2):
      Translated using Weblate (German)
      Translated using Weblate (German)

Grace Yu <grace.yu@excel-gits.com> (2):
      Translated using Weblate (Chinese (China) (zh_CN))
      Translated using Weblate (Chinese (Taiwan) (zh_TW))

Luna  Jernberg <bittin@opensuse.org> (2):
      Translated using Weblate (Swedish)
      Translated using Weblate (Swedish)

Mohammad Rezaei Seresht <m.networking@gmail.com> (2):
      Translated using Weblate (Persian)
      Translated using Weblate (Persian)

Moo oo <nazaq@protonmail.com> (2):
      Translated using Weblate (Lithuanian)
      Translated using Weblate (Lithuanian)

Aleš Kastner <alkas@volny.cz> (1):
      Translated using Weblate (Czech)

Antonio Simón <antonio@trans-mission.com> (1):
      Translated using Weblate (Spanish)

Davide Aiello <davide.aiello@novilingulists.com> (1):
      Translated using Weblate (Italian)

Jan Papež <honyczek@centrum.cz> (1):
      Translated using Weblate (Czech)

Sophie Leroy <sophie@stoquart.com> (1):
      Translated using Weblate (French)

Yaron Shahrabani <sh.yaron@gmail.com> (1):
      Translated using Weblate (Hebrew)

neome <neome@posteo.me> (1):
      Translated using Weblate (Polish)


Release icewm-3.3.1 released 2023-01-23
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.0...3.3.1

Bert Gijsbers <gijsbers@science.uva.nl> (31):
      Add support for nanosvg to gdk-pixbuf rendering and to cmake build.
      Set DoNotCover hint on taskbar when layer is Dock.
      Report the chosen audio interface in configure for issue #699.
      Consider that the keyboard may have been changed externally for #698.
      Free tray gradients when done.
      Fix compilation of iceclock.
      Fix tiny memory leak.
      Delete the manager on exit.
      Verify that the minimum size hints are positive, before comparing them to
        maximum.
      Increase the timeout for the dynamic menu generator to 2.0 seconds.
      Don't resize the window when a client makes small adjustments to the
        WM_NORMAL_HINTS property for issue ice-wm/icewm#115.
      Allow rolled up windows to be moved vertically for issue ice-wm/icewm#77.
      Compute the adjusted normalized dimensions on the basis of the previous
        normalized dimensions.
      Let winoption "ignorePositionHint" also ignore USPosition for issue #701.
      Adjust normalized dimensions from the outer dimensions, as this avoids
        accumulating rounding errors.
      On screen change, update taskbar location before work area, for
        ice-wm/icewm#116.
      Make updateLocation public.
      Don't reactivate a focused window when RaisOnClick is guaranteed.
      Also spy on RandR events.
      Also activate a focused rollup.
      Drop "sync" from examples, because that is now done automatically.
      Drop "shell", because no shell is used.
      When the "ignoreOverrideRedirect" winoption is set, then clear the
        override_redirect flag in the X window attributes in order to receive
        proper resize events.
      Cache 3 GCs for rendering XImages to Pixmaps to reduce memory allocations.
      Prevent a compiler warning for runProgram.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Check the return value of write calls in icesh to avoid warnings.
      Two pragmas to avoid two irrelevant gcc warnings.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.1 release

Baurzhan Muftakhidinov <baurthefirst@gmail.com> (4):
      Added translation using Weblate (Kazakh)
      Translated using Weblate (Kazakh)
      Translated using Weblate (Kazakh)
      Translated using Weblate (Kazakh)

Aleš Kastner <alkas@volny.cz> (1):
      Translated using Weblate (Czech)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)

Vincent Legoll <vincent.legoll@gmail.com> (1):
      Translated using Weblate (French)

dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com> (1):
      Dependabot from 2 to 3 (#686)


Release icewm-3.3.0 released 2022-12-20
---------------------------------------

git shortlog -e -n -w80,6,8 3.2.3...3.3.0

Bert Gijsbers <gijsbers@science.uva.nl> (21):
      Prevent a derefence of a null-Pixel in xftColor.
      Add "getClass" and "setClass" commands to icesh.
      Support tabs in task grouping.
      Use spaces instead of dots when printing WM_COMMAND.
      When a focused window hides or rolls up, focus some other window.
      When looking for a focusable window, avoid rolled up windows.
      Fix for setting focus on passive motif dialogs for issue #400 and
        ice-wm/icewm#110.
      Fallback to rolled up windows in the second pass of getLastFocus.
      Use CurrentTime when setting focus to a passive client in the timeout.
      On icon not found, report dimensions.
      Don't refocus a focused window in focusLastWindow.
      Don't activate an active window when receiving an activation message.
      Ignore duplicate map requests.
      Let icesh implicitly select windows at most once.
      Add support for nanosvg for issue #695.
      Add preference ToolTipIcon=1 for issue #637.
      Add nanosvg to .gitignore.
      Remove unneeded logevent from icesh.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.0 release

Mehmet Akif 9oglu <madanadam@gmail.com> (1):
      Translated using Weblate (Turkish)


Release icewm-3.2.3 released 2022-12-05
---------------------------------------

git shortlog -e -n -w80,6,8 3.2.2...3.2.3

Bert Gijsbers <gijsbers@science.uva.nl> (19):
      Only freeze task pane layout when a button was removed.
      Get rid of destroyedClient and simplify handleUnmap.
      Minimalize ClientData.
      Tabbing tips.
      Make winoption forceClose tab dependent.
      Mention named tabs.
      Drop windowCount.
      Let tabs check for winoption settings.
      Accept pull request by olf and closes ice-wm/icewm#104.
      Show an icon in the tooltip of a toolbar button for issue #637.
      Ensure that a task button is updated once it is mapped.
      Document "workspace" subdirectory.
      Only link icewm to tooltips and icons, not icewmbg.
      Add icon to tray tooltip.
      Delay the creation of frame button tooltips.
      Add loadicon and saveicon to icesh.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.2.3 release

Yasuhiko Kamata <belphegor@belbel.or.jp> (2):
      Translated using Weblate (Japanese)
      Translated using Weblate (Japanese)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Dmitriy Khanzhin <jinn@altlinux.org> (1):
      Translated using Weblate (Russian)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Kristijan Fremen Velkovski <me@krisfremen.com> (1):
      Translated using Weblate (Macedonian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

